CREATE TABLE `oauth_clients` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `client_id` varchar(16) CHARACTER SET ascii COLLATE ascii_bin NOT NULL,
  `client_secret` varchar(40) CHARACTER SET ascii COLLATE ascii_bin NOT NULL,
  `redirect_uris` text NOT NULL,
  `preapproved` tinyint(1) NOT NULL DEFAULT 0,
  `created` timestamp NOT NULL DEFAULT current_timestamp(),
  PRIMARY KEY (`id`),
  UNIQUE KEY `client_id` (`client_id`)
) ENGINE = InnoDB DEFAULT CHARSET = utf8mb4;
