<?php namespace RVR\Repository;

use RVR\PersistentData\Model\Community;

class CommunityRepository
{
    public function getById(int $id): ?Community
    {
        return \Container::$persistentDataManager->selectFromDbById($id, Community::class);
    }

    public function getBySlug(string $slug): ?Community
    {
        return \Container::$persistentDataManager->selectFromDbBySlug($slug, Community::class);
    }
}
