@js(https://www.google.com/recaptcha/api.js)

@extends(templates/layout_normal)

@section(main)
    <h2>Request password reset</h2>
    <div class="box compactBox">
        <form id="passwordResetForm" action="<?= Container::$routeCollection->getRoute('password.requestReset-action')->generateLink() ?>" method="post" data-redirect-on-success="<?= Container::$routeCollection->getRoute('password.requestReset.success')->generateLink() ?>">
            <p class="formLabel">Email address</p>
            <input type="email" class="text big fullWidth" name="email" value="<?= isset($email) ? $email : '' ?>" required autofocus>
            <?php if (!empty($_ENV['RECAPTCHA_SITEKEY'])): ?>
                <div class="marginTop">
                    <div class="g-recaptcha" data-sitekey="<?= $_ENV['RECAPTCHA_SITEKEY'] ?>"></div>
                </div>
            <?php endif; ?>
            <p id="passwordResetFormError" class="formError justify marginTop"></p>
            <div class="right marginTop">
                <button type="submit"><i class="fa-solid fa-key"></i> Reset password</button>
            </div>
        </form>
    </div>
@endsection
