CREATE TABLE `audit_log` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `local_table` varchar(255) NOT NULL,
  `local_id` int(10) unsigned NOT NULL,
  `type` enum('insert','update','delete') NOT NULL,
  `date` timestamp NOT NULL DEFAULT current_timestamp(),
  `modifier_id` int(10) unsigned NULL,
  `column` varchar(255) NULL,
  `old` text NULL,
  `new` text NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
