@extends(templates/layout_normal)

@section(main)
    <h2>Reset password</h2>
    <div class="box compactBox">
        <?php if ($success) : ?>
            <form id="resetPasswordForm" action="<?= Container::$routeCollection->getRoute('password.reset-action')->generateLink(['token' => $token]) ?>"" method="post" data-redirect-on-success="<?= $redirectUrl ?>">
                <p class="formLabel">Email address</p>
                <input type="text" class="text big fullWidth" name="email" autocomplete="username" value="<?= $email ?>" disabled>
                <p class="formLabel marginTop">Password</p>
                <input type="password" class="text big fullWidth" name="password" autocomplete="new-password" required minlength="6" autofocus>
                <p class="formLabel marginTop">Password confirmation</p>
                <input type="password" class="text big fullWidth" name="password_confirm"  autocomplete="new-password" required minlength="6">
                <p id="resetPasswordFormError" class="formError justify marginTop"></p>
                <div class="right">
                    <button class="marginTop" type="submit"><i class="fa-solid fa-key"></i> Reset password</button>
                </div>
            </form>
        <?php else: ?>
            <p class="error justify">Confirming your identity failed. Please check the link you entered, or retry <a href="<?= Container::$routeCollection->getRoute('password.requestReset')->generateLink() ?>" title="Request password reset">requesting password reset</a>!</p>
        <?php endif; ?>
    </div>
@endsection
